Supported software levels, fixes, and settings for HCL Commerce

The following table provides a list of generally available (GA) software levels, fixes, and settings for the latest HCL Commerce Version 9.1 release.

Important:
  • HCL Commerce is tested with the versions of companion software that are stated, and is supported against any faults which are encountered when used alongside them. If you encounter an issue operating HCL Commerce with older versions of companion software, upgrade to a tested and supported level before contacting HCL Support.
  • Details about older releases are presented for informational purposes only. It is recommended that you upgrade to the latest available update package for the most up-to-date feature, security, performance, and stability fixes.
  • Ongoing fixes that are made to HCL Commerce are not added to older fix packs retroactively. New fixes are only added to subsequent fix packs.

    To ensure that any issues that you are encountering have not already been fixed in an available fix pack, upgrade to the latest version of HCL Commerce Version 9.1 before contacting support.

  • The third party software bundle package contains all third party prerequisite software and licenses that are required for operating your HCL Commerce installations. Ensure that your usage of this software is within the scope of those third party licenses.
  • All current versions of HCL Commerce, HCL Commerce Developer, and the most up-to-date third party prerequisite softwares (third party bundle) can be downloaded from the HCL License and Delivery portal. Beginning with HCL Commerce Version 9.1, only the latest version of HCL Commerce software is available for download.

HCL Commerce maintenance packages contain multiple corrections and improvements in the areas of function, security, stability, and performance. It is recommended that you run your HCL Commerce site with the current update package. As with all production changes, when you apply update packages, ensure that you complete rigorous functional and performance verification tests with your custom code.

Even if an update is not in your schedule, review the information about recommended fixes and settings in the following table to keep informed about corrections and improvements to HCL Commerce. You can use this information to determine how your site might benefit from an upgrade.

Operating Systems / Infrastructure

The operating systems and infrastructure software products that are listed here are ensured to be compatible with all provided and prerequisite HCL Commerce software. It is not an exhaustive list.

Software Operating Systems
HCL Commerce Developer
  • Microsoft Windows 10
HCL Commerce
  • Cloud platforms
    • Amazon Elastic Kubernetes Service (EKS)
    • Google Kubernetes Engine (GKE)
    • HCL Commerce Version 9.1.7.0 or laterRed Hat Plinux OpenShift
    • HCL Commerce Version 9.1.9.0 or laterAzure Kubernetes Service (AKS)
  • Kubernetes deployment
    • Bare-metal or hosted Kubernetes cluster 1.16 or newer
    • Helm 3.3.1 or newer
    • HCL Commerce Version 9.1.9.0 or laterVault 1.9.1
  • Docker deployment
    • Linux
      • Red Hat Enterprise Linux (RHEL) Server Version 7.5 or higher (7.x only)
      • HCL Commerce Version 9.1.9.0 or laterRed Hat Enterprise Linux (RHEL) Server Version 8.4
      • CentOS (7.x only)
      • Compatible Linux operating systems, x86-64 and ppc64le
    • Docker 19.03.8 or newer
    Note: The latest Docker images contain:
    • DB2 container: Centos 7.7.1908
    • All other containers: Centos 7.9.2009
    • Hypervisors
      • KVM
      • Microsoft Hyper-V Server 2016
      • VMware ESXi 6.7
      Important: HCL Commerce is expected to function as designed using a hypervisor with a supported host operating system. Due to the large number of hypervisors available, and the complexity of emulation, no guarantee can be made that your environments will work as expected. Therefore, only combinations which are known by HCL to be problematic will be listed here in the event that one is discovered.

Database

Software Supported versions and required fixes
Oracle
  • Oracle 18c
  • HCL Commerce Version 9.1.4.0 or laterOracle 19c
Important: The Elasticsearch-based search solution requires Oracle Database 19c.
IBM Db2 IBM Db2 11.5

Integration and development

Software Supported versions and required fixes
IBM WebSphere eXtreme Scale Client
  • WebSphere eXtreme Scale Client 8.6.1.2
HCL Commerce DeveloperIBM Rational Application Developer
  • Rational Application Developer 9.6
IBM Security Directory Suite
  • IBM Security Directory Suite 8.0.1.17

Browsers

Software Supported versions and required fixes
Management Center for HCL Commerce
  • Edge 20+
  • Internet Explorer 9+
  • Firefox 39+
  • Chrome 44+
  • Safari 10+
React-based storefronts
  • Edge 87+
  • Firefox 84+
  • Chrome 87+
  • Safari 14+
Aurora-based storefronts
  • Internet Explorer 20H2+
  • Edge 87+
  • Firefox 84+
  • Chrome 87+
  • Safari 14+
Legacy business user tooling
  • HCL Commerce Accelerator
  • HCL Commerce Organization Administration Console
  • HCL Commerce Administration Console
Note: You cannot access the legacy Commerce Accelerator, Organization Administration Console, and Administration Console tools on Apple macOS.

Compatibility matrix

The following table describes the minimum requirements for each version of HCL Commerce Version 9.1 that has been released. The database and its level is of particular importance based on the version of HCL Commerce and the search solution that is used.

Commerce Companion software Database Browsers
HCL Commerce Version 9.1.11.0
  • WebSphere Application Server 9.0.5.12 + PH44339
  • WebSphere Application Server Liberty 22.0.0.6
  • IBM SDK, Java Technology Edition, Version 8.0.7.10
  • IBM HTTP Server 9.0.5.12 + PH46897
  • Elasticsearch
    • x86-647.17.1
    • Power7.8.0
  • ZooKeeper
    • x86-643.8.0
    • Power3.6.2
  • Redis
    • x86-646.2.7
    • Power6.2.6
  • Reddison 3.17.4
  • NiFi 1.16.2
  • NiFi Registry 1.16.2
  • Solr-based search solution
    • IBM Db2 11.5
    • Oracle 18c
    • Oracle 19c
  • Elasticsearch-based search solution
    • IBM Db2 11.5
    • Oracle 19c
  • Management Center for HCL Commerce
    • Edge 20+
    • Internet Explorer 9+
    • Firefox 39+
    • Chrome 44+
    • Safari 10+
  • React-based storefronts
    • Edge 87+
    • Firefox 84+
    • Chrome 87+
    • Safari 14+
  • Aurora-based storefronts
    • Internet Explorer 20H2+
    • Edge 87+
    • Firefox 84+
    • Chrome 87+
    • Safari 14+
HCL Commerce Version 9.1.10.0
  • WebSphere Application Server 9.0.5.10 + PH41676 + PH42762 + PH43148 + PH43760
  • WebSphere Application Server Liberty 21.0.0.12 PH43817 + PH43223 + PH42074
  • IBM SDK, Java Technology Edition, Version 8.0.7.5
  • IBM HTTP Server 9.0.5.10 + PH44271
  • Elasticsearch
    • x86-647.17.1
    • Power7.8.0
  • ZooKeeper
    • x86-643.7.0
    • Power3.6.2
  • Redis
    • x86-646.2.6
    • Power6.2.6
  • NiFi 1.13.2
  • NiFi Registry 0.8.0
  • Solr-based search solution
    • IBM Db2 11.5
    • Oracle 18c
    • Oracle 19c
  • Elasticsearch-based search solution
    • IBM Db2 11.5
    • Oracle 19c
  • Management Center for HCL Commerce
    • Edge 20+
    • Internet Explorer 9+
    • Firefox 39+
    • Chrome 44+
    • Safari 10+
  • React-based storefronts
    • Edge 87+
    • Firefox 84+
    • Chrome 87+
    • Safari 14+
  • Aurora-based storefronts
    • Internet Explorer 20H2+
    • Edge 87+
    • Firefox 84+
    • Chrome 87+
    • Safari 14+
HCL Commerce Version 9.1.9.0
  • WebSphere Application Server 9.0.5.10 + PH41676 + PH42762
  • WebSphere Application Server Liberty 21.0.0.11
  • IBM SDK, Java Technology Edition, Version 8.0.7.0
  • IBM HTTP Server 9.0.5.10
  • Elasticsearch
    • x86-647.12.0
    • Power7.8.0
  • ZooKeeper
    • x86-643.7.0
    • Power3.6.2
  • Redis 6.2.6
  • NiFi 1.13.2
  • NiFi Registry 0.8.0
  • Solr-based search solution
    • IBM Db2 11.5
    • Oracle 18c
    • Oracle 19c
  • Elasticsearch-based search solution
    • IBM Db2 11.5
    • Oracle 19c
  • Management Center for HCL Commerce
    • Edge 20+
    • Internet Explorer 9+
    • Firefox 39+
    • Chrome 44+
    • Safari 10+
  • React-based storefronts
    • Edge 87+
    • Firefox 84+
    • Chrome 87+
    • Safari 14+
  • Aurora-based storefronts
    • Internet Explorer 20H2+
    • Edge 87+
    • Firefox 84+
    • Chrome 87+
    • Safari 14+
HCL Commerce Version 9.1.8.1
  • WebSphere Application Server 9.0.5.8 + PH34690 + PH42762
    Note: The PH42762 interim fix is applied within the HCL Commerce 9.1.8.1 release Transaction server Docker container and Utility server Docker container.
  • WebSphere Application Server Liberty 21.0.0.6
  • IBM SDK, Java Technology Edition, Version 8.0.6.30
  • IBM HTTP Server 9.0.5.8
  • Elasticsearch
    • x86-647.12.0
    • Power7.8.0
  • ZooKeeper
    • x86-643.7.0
    • Power3.6.2
  • Redis 6.2.3
  • NiFi 1.15.1
  • NiFi Registry 0.8.0
  • Solr-based search solution
    • IBM Db2 11.5
    • Oracle 18c
    • Oracle 19c
  • Elasticsearch-based search solution
    • IBM Db2 11.5
    • Oracle 19c
  • Management Center for HCL Commerce
    • Edge 20+
    • Internet Explorer 9+
    • Firefox 39+
    • Chrome 44+
    • Safari 10+
  • React-based storefronts
    • Edge 87+
    • Firefox 84+
    • Chrome 87+
    • Safari 14+
  • Aurora-based storefronts
    • Internet Explorer 20H2+
    • Edge 87+
    • Firefox 84+
    • Chrome 87+
    • Safari 14+
HCL Commerce Version 9.1.7.0
  • WebSphere Application Server 9.0.5.8
  • WebSphere Application Server Liberty 21.0.0.6
  • IBM SDK, Java Technology Edition, Version 8.0.6.30
  • IBM HTTP Server 9.0.5.8
  • Elasticsearch
    • x86-647.12.0
    • Power7.8.0
  • ZooKeeper
    • x86-643.7.0
    • Power3.6.2
  • Redis 6.2.3
  • NiFi 1.13.2
  • NiFi Registry 0.8.0
  • Solr-based search solution
    • IBM Db2 11.5
    • Oracle 18c
    • Oracle 19c
  • Elasticsearch-based search solution
    • IBM Db2 11.5
    • Oracle 19c
  • Management Center for HCL Commerce
    • Edge 20+
    • Internet Explorer 9+
    • Firefox 39+
    • Chrome 44+
    • Safari 10+
  • React-based storefronts
    • Edge 87+
    • Firefox 84+
    • Chrome 87+
    • Safari 14+
  • Aurora-based storefronts
    • Internet Explorer 20H2+
    • Edge 87+
    • Firefox 84+
    • Chrome 87+
    • Safari 14+
HCL Commerce Version 9.1.6.0
  • WebSphere Application Server 9.0.5.6 + PH31727 + PH33228 + PH33648
  • WebSphere Application Server Liberty 21.0.0.1
  • IBM SDK, Java Technology Edition, Version 8.0.6.25 (+ IJ31256 with HCL Commerce Developer)
  • IBM HTTP Server 9.0.5.6
  • Elasticsearch
    • x86-647.12.0
    • Power7.8.0
  • Solr-based search solution
    • IBM Db2 11.5
    • Oracle 18c
    • Oracle 19c
  • Elasticsearch-based search solution
    • IBM Db2 11.5
    • Oracle 19c
  • Management Center for HCL Commerce
    • Edge 20+
    • Internet Explorer 9+
    • Firefox 39+
    • Chrome 44+
    • Safari 10+
  • React-based storefronts
    • Edge 87+
    • Firefox 84+
    • Chrome 87+
    • Safari 14+
  • Aurora-based storefronts
    • Internet Explorer 20H2+
    • Edge 87+
    • Firefox 84+
    • Chrome 87+
    • Safari 14+
HCL Commerce Version 9.1.5.0
  • WebSphere Application Server 9.0.5.5 + PH26220 + PH27509 +PH29871 + PH27157
  • WebSphere Application Server Liberty 20.0.0.9 + TFOLGH13861
  • IBM SDK, Java Technology Edition, Version 8.0.6.15
  • IBM HTTP Server 9.0.5.5
  • Elasticsearch
    • x86-647.12.0
    • Power7.8.0
  • Solr-based search solution
    • IBM Db2 11.5
    • Oracle 18c
    • Oracle 19c
  • Elasticsearch-based search solution
    • IBM Db2 11.5
    • Oracle 19c
  • Management Center for HCL Commerce
    • Edge 20+
    • Internet Explorer 9+
    • Firefox 39+
    • Chrome 44+
    • Safari 10+
  • React-based storefronts
    • Edge 87+
    • Firefox 84+
    • Chrome 87+
    • Safari 14+
  • Aurora-based storefronts
    • Internet Explorer 20H2+
    • Edge 87+
    • Firefox 84+
    • Chrome 87+
    • Safari 14+
HCL Commerce Version 9.1.4.0
  • WebSphere Application Server 9.0.5.5 + PH26220 + PH27509 +PH29871 + PH27157
  • WebSphere Application Server Liberty 20.0.0.9 + TFOLGH13861
  • IBM SDK, Java Technology Edition, Version 8.0.6.15
  • IBM HTTP Server 9.0.5.5
  • Elasticsearch
    • x86-647.12.0
    • Power7.8.0
  • Solr-based search solution
    • IBM Db2 11.5
    • Oracle 18c
    • Oracle 19c
  • Elasticsearch-based search solution
    • IBM Db2 11.5
    • Oracle 19c
  • Management Center for HCL Commerce
    • Edge 20+
    • Internet Explorer 9+
    • Firefox 39+
    • Chrome 44+
    • Safari 10+
  • React-based storefronts
    • Edge 87+
    • Firefox 84+
    • Chrome 87+
    • Safari 14+
  • Aurora-based storefronts
    • Internet Explorer 20H2+
    • Edge 87+
    • Firefox 84+
    • Chrome 87+
    • Safari 14+
HCL Commerce Version 9.1.3.0
  • WebSphere Application Server 9.0.5.5 + PH26220 + PH27509 +PH29871 + PH27157
  • WebSphere Application Server Liberty 20.0.0.9
  • IBM SDK, Java Technology Edition, Version 8.0.6.15
  • IBM HTTP Server 9.0.5.5
  • Solr-based search solution
    • IBM Db2 11.5
    • Oracle 18c
    • Oracle 19c
  • Elasticsearch-based search solution
    • IBM Db2 11.5
  • Management Center for HCL Commerce
    • Edge 20+
    • Internet Explorer 9+
    • Firefox 39+
    • Chrome 44+
    • Safari 10+
  • React-based storefronts
    • Edge 87+
    • Firefox 84+
    • Chrome 87+
    • Safari 14+
  • Aurora-based storefronts
    • Internet Explorer 20H2+
    • Edge 87+
    • Firefox 84+
    • Chrome 87+
    • Safari 14+